﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Globalization;
using System.IO.Packaging;
using System.Windows.Controls.Primitives;

namespace XamDataGridPerformance
{
    public class Model : INotifyPropertyChanged
    {

        public event PropertyChangedEventHandler PropertyChanged;

        private string _bucket;
        private double _total;
        private double _stock;
        private double _future;
        private double _variance;
        private double _50Percent;
        private double _60Percent;
        private double _70Percent;
        private double _75Percent;
        private double _80Percent;
        private double _85Percent;
        private double _90Percent;
        private double _95Percent;
        private double _100Percent;
        private double _105Percent;
        private double _110Percent;
        private double _115Percent;
        private double _130Percent;
        
        public Model()
        {
        }

        public string Bucket
        {
            get { return _bucket; }
            set
            {
                _bucket = value;
                NotifyPropertyChanged("Bucket");
            }
        }

        public double Total
        {
            get { return _total; }
            set
            {
                _total = value;
                NotifyPropertyChanged("Total");
            }
        }

        public double Stock
        {
            get { return _stock; }
            set
            {
                _stock = value;
                NotifyPropertyChanged("Stock");
            }
        }

        public double Future
        {
            get { return _future; }
            set
            {
                _future = value;
                NotifyPropertyChanged("Future");
            }
        }

        public double Variance
        {
            get { return _variance; }
            set
            {
                _variance = value;
                NotifyPropertyChanged("Variance");
            }
        }

        public double FiftyPercent
        {
            get { return _50Percent; }
            set
            {
                _50Percent = value;
                NotifyPropertyChanged("FiftyPercent");
            }
        }

        public double SixtyPercent
        {
            get { return _60Percent; }
            set
            {
                _60Percent = value;
                NotifyPropertyChanged("SixtyPercent");
            }
        }

        public double SeventyPercent
        {
            get { return _70Percent; }
            set
            {
                _70Percent = value;
                NotifyPropertyChanged("SeventyPercent");
            }
        }

        public double SeventyFivePercent
        {
            get { return _75Percent; }
            set
            {
                _75Percent = value;
                NotifyPropertyChanged("SeventyFivePercent");
            }
        }

        public double EightyPercent
        {
            get { return _80Percent; }
            set
            {
                _80Percent = value;
                NotifyPropertyChanged("EightyPercent");
            }
        }

        public double EightyFivePercent
        {
            get { return _85Percent; }
            set
            {
                _85Percent = value;
                NotifyPropertyChanged("EightyFivePercent");
            }
        }

        public double NinetyPercent
        {
            get { return _90Percent; }
            set
            {
                _90Percent = value;
                NotifyPropertyChanged("NinetyPercent");
            }
        }

        public double NinetyFivePercent
        {
            get { return _95Percent; }
            set
            {
                _95Percent = value;
                NotifyPropertyChanged("NinetyFivePercent");
            }
        }

        public double OneHundredPercent
        {
            get { return _100Percent; }
            set
            {
                _100Percent = value;
                NotifyPropertyChanged("OneHundredPercent");
            }
        }

        public double OneHundredFivePercent
        {
            get { return _105Percent; }
            set
            {
                _105Percent = value;
                NotifyPropertyChanged("OneHundredFivePercent");
            }
        }

        public double OneHundredTenPercent
        {
            get { return _110Percent; }
            set
            {
                _110Percent = value;
                NotifyPropertyChanged("OneHundredTenPercent");
            }
        }

        public double OneHundredFifteenPercent
        {
            get { return _115Percent; }
            set
            {
                _115Percent = value;
                NotifyPropertyChanged("OneHundredFifteenPercent");
            }
        }

        public double OneHundredThirtyPercent
        {
            get { return _130Percent; }
            set
            {
                _130Percent = value;
                NotifyPropertyChanged("OneHundredThirtyPercent");
            }
        }

        private void NotifyPropertyChanged(String propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

    }

}
