﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System;
using System.Collections.ObjectModel;
using System.Collections.Specialized;
using System.ComponentModel;
using System.Globalization;
using System.IO.Packaging;
using System.Windows;
using System.Windows.Controls.Primitives;
using System.Windows.Input;
using System.Windows.Controls.Primitives;
using System.Windows.Controls;


namespace XamDataGridPerformance
{
    public class ViewModel
    {

        public ObservableCollection<Model> Items { get; set; }

        public ViewModel()
        {
            TestData();
        }

        private void TestData()
        {
            Items = new ObservableCollection<Model>
            {
                new Model{Bucket = "Stock", Total = 90000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
                new Model{Bucket = "Aug-14", Total = -123000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
                new Model{Bucket = "Sept-14", Total = 15000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
                new Model{Bucket = "Oct-14", Total = 60000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
                new Model{Bucket = "Nov-14", Total = 27000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
                new Model{Bucket = "Dec-14", Total = 9000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
                new Model{Bucket = "Jan-15", Total = -241000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
                new Model{Bucket = "Feb-15", Total = 375000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000},
            };
            TestDataGen();
        }

        private void TestDataGen()
        {
            for (var i = 0; i < 500; i++)
            {
                var r = new Model { Bucket = "Sept-14", Total = 1500000, Stock = -123000, Future = 0, Variance = -2000, FiftyPercent = 50000, SixtyPercent = 60000, SeventyPercent = 70000, SeventyFivePercent = 75000, EightyPercent = 80000, EightyFivePercent = 85000, NinetyPercent = 90000, NinetyFivePercent = 95000, OneHundredPercent = 100000, OneHundredFivePercent = 105000, OneHundredTenPercent = 110000, OneHundredFifteenPercent = 115000, OneHundredThirtyPercent = 130000 };
                Items.Add(r);
            }
        }

    }
}
